GET https://services.leadconnectorhq.com/calendars/events/appointments/{eventId}
Autorización
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
string
default:"2021-07-28"
required
Versión de la API.
Path parameters
string
required
Event Id or Instance id. For recurring appointments send masterEventId to modify original series.
Respuestas
200 - Successful response
200 - Successful response
object
Show propiedades
Show propiedades
string
required
Event Id or Instance id for a recurring event
string
default:"https://meet.google.com/yqp-gogr-wve"
Calendar Event address
string
default:"Appointment with GHL Dev team"
required
Calendar Event title
string
default:"BqTwX8QFwXzpegMve9EQ"
required
Calendar ID
string
default:"0007BWpSzSwfiuSl0tR2"
required
Account ID
string
default:"9NkT25Vor1v4aQatFsv2"
required
Contact ID
string
default:"9NkT25Vor1v4aQatFsv2"
required
Group ID
string
default:"confirmed"
required
Appointment Status
string
default:"YlWd2wuCAZQzh2cH1fVZ"
required
AssignedUser - the primary owner of an appointment
string[]
required
Users - the secondary owners of an appointment.
string
default:"Some dummy note"
Notes
string
default:"Some dummy description"
Description
boolean
default:"true"
true if the event is recurring otherwise false
string
RRULE as per the iCalendar (RFC 5545) specification for recurring events. DTSTART is not required, instance ids are calculated on the basis of startTime of the event.
object
default:"2023-09-25T16:00:00+05:30"
required
Start Time
object
default:"2023-09-25T16:00:00+05:30"
required
End Time
object
default:"2023-09-25T16:00:00+05:30"
required
Date Added
object
default:"2023-09-25T16:00:00+05:30"
required
Date Updated
string[]
Ids of associated resources rooms and/or equipments
object
Appointment booked by metadata
string
default:"ocWd2wuBGAQzh2cH1fSZ"
Master event id for a recurring instance
{
"event": {
"id": "string",
"address": "https://meet.google.com/yqp-gogr-wve",
"title": "Appointment with GHL Dev team",
"calendarId": "BqTwX8QFwXzpegMve9EQ",
"locationId": "0007BWpSzSwfiuSl0tR2",
"contactId": "9NkT25Vor1v4aQatFsv2",
"groupId": "9NkT25Vor1v4aQatFsv2",
"appointmentStatus": "confirmed",
"assignedUserId": "YlWd2wuCAZQzh2cH1fVZ",
"users": [
"YlWd2wuCAZQzh2cH1fVZ",
"9NkT25Vor1v4aQatFsv2"
],
"notes": "Some dummy note",
"description": "Some dummy description",
"isRecurring": "true",
"rrule": "string",
"startTime": "2023-09-25T16:00:00+05:30",
"endTime": "2023-09-25T16:00:00+05:30",
"dateAdded": "2023-09-25T16:00:00+05:30",
"dateUpdated": "2023-09-25T16:00:00+05:30",
"assignedResources": [
"string"
],
"masterEventId": "ocWd2wuBGAQzh2cH1fSZ"
}
}
400 - Bad Request
400 - Bad Request
{}
401 - Unauthorized
401 - Unauthorized
{}
Ejemplo
curl -X GET 'https://services.leadconnectorhq.com/calendars/events/appointments/YOUR_eventId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/calendars/events/appointments/YOUR_eventId', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/calendars/events/appointments/YOUR_eventId',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/calendars/events/appointments/YOUR_eventId');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);

